---------------------------------------------
-- LocsBox.lua
-- by Lygin Gennady a.k.a Croc 25.08.2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local LocsFrameWidth, LocsFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------

LocsBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

LocsButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({1,0,0,1})
    :textpos("center")
    :movetext(-3, 10)  
    :text(_("Loc"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(LocsBox,0,0,0,0)

LocsCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})		
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(LocsBox, 20, 0, 0, 0)

LocsBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    LocsButton.Visible = GuidesVisibility -- display or undisplay Button
    LocsCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if LocsCheck.Text ==  "o" then
		LocsFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end
		
LocsButton.Action = (function()
        return
            function()
                display_Locs = not display_Locs
                if display_Locs then  
                    LocsFrame.Visible = true                     
                    LocsCheck.Text = "o" 
                     celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                  
                else          
                    LocsFrame.Visible = false                   
                    LocsCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()               
----------------------------------------------------
LocsFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-LocsFrameWidth)/2, height-LocsFrameHeight-2, (width-LocsFrameWidth)/2, 2)

 LocsFrame.Customdraw = function(this) 

            if Locs_firstTickDone then
            if not(LocsCloseButtonDone) then
                LocsCloseButtonDone = true
                makeCloseButton(LocsCloseButton, LocsFrame, LocsButton)
            end
            else
                Locs_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    LocsFrame:attach(screenBox, width-LocsFrameWidth-36, height-LocsFrameHeight-128-27, 36, 128+27) 
               else
                    LocsFrame:attach(screenBox, width-LocsFrameWidth-200, height-LocsFrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor(color7)     
	    textlayout:setpos(this.lb+10, this.tb - 14)       
            textlayout:println(_("OBJECTS with locations:"))
end
--================
-- Подключение команд 
--------------------------------
ObjLocs101Box = CXBox:new()
    :init(0, 0, 0, 0)
	:bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("MERCURY"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-1), 86, 5+14*1)

ObjLocs101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mercury")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Mercury/2018-09-02T14:04:33.73339?x=NiqrWRVpPw&y=3QW1GNiL/////////////w&z=PvrX4tHZNw&ow=0.911284&ox=-0.000252714&oy=-0.411734&oz=0.00596134&track=Sol:Mercury&select=Sol:Mercury&fov=36.4986&ts=25000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)	
    :text(_("VENUS"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-2), 86, 5+14*2)

ObjLocs102Box.Action = (function()
    return
           function()      
            local obj = celestia:find("Sol/Venus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Venus/2018-09-15T01:11:21.32282?x=MBG+sjYhVf///////////w&y=hWU33Nb7Dw&z=TB92MMKmh////////////w&ow=0.460353&ox=0.022023&oy=0.886901&oz=0.0315584&track=Sol:Venus&select=Sol:Venus&fov=36.4986&ts=10000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("EARTH"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-3), 86, 5+14*3)

ObjLocs103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Earth")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Earth/2018-09-19T05:04:44.30195?x=kL5/DJO6Tf///////////w&y=p8mQGOzV6v///////////w&z=6DsQWwW9gA&ow=0.889549&ox=-0.0584651&oy=0.452993&oz=0.00906258&track=Sol:Earth&select=Sol:Earth&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color2) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Moon"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-4), 86, 5+14*4)

ObjLocs104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Earth/Moon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Moon/2018-09-20T07:21:59.40965?x=4PnfK2P9BA&y=eGcOjfr8Ow&z=HINIhafi&ow=0.706258&ox=0.701106&oy=0.0331253&oz=0.0924785&track=Sol:Earth:Moon&select=Sol:Earth:Moon&fov=36.4986&ts=5000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("MARS"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-5), 86, 5+14*5)

ObjLocs105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mars")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Mars/2018-09-22T13:39:26.65720?x=PPiTIOnlwP///////////w&y=m5NMo3MBCQ&z=SHrzQRMjnf///////////w&ow=0.278643&ox=-0.021454&oy=0.959045&oz=0.0461476&track=Sol:Mars&select=Sol:Mars&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Phobos"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-6), 86, 5+14*6)

ObjLocs106Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Sol/Mars/Phobos")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Mars:Phobos/2018-09-22T19:54:26.62045?x=5zZIeQb2/////////////w&y=fRaiPr/z/////////////w&z=y3JXkz2K/////////////w&ow=0.0428074&ox=-0.0143318&oy=0.997674&oz=-0.0510686&track=Sol:Mars:Phobos&select=Sol:Mars:Phobos&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Deimos"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-7), 86, 5+14*7)

ObjLocs107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mars/Deimos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Mars:Deimos/2018-09-23T01:11:14.77190?x=VO2Q6Ts6&y=5MA7HMHm/////////////w&z=ke5T0Sfs/////////////w&ow=0.561056&ox=-0.0667316&oy=-0.802964&oz=0.189765&track=Sol:Mars:Deimos&select=Sol:Mars:Deimos&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("JUPITER"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-8), 86, 5+14*8)

ObjLocs108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Chase/Sol:Jupiter/2018-09-23T09:10:43.31351?x=UZa1O5mHa/3//////////w&y=MGdTrHR3Ugk&z=tAeYATcgBg&ow=0.698498&ox=0.702257&oy=0.074821&oz=-0.115488&track=Sol:Jupiter&select=Sol:Jupiter&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Amalthea"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-9), 86, 5+14*9)

ObjLocs109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Amalthea")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Amalthea/2018-09-23T12:08:11.87957?x=QD85gbjGAQ&y=miLC3MO6/////////////w&z=ER6InmfV+////////////w&ow=0.200988&ox=-0.0420259&oy=-0.978448&oz=0.0218266&track=Sol:Jupiter:Amalthea&select=Sol:Jupiter:Amalthea&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ganymede"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-10), 86, 5+14*10)

ObjLocs110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Ganymede")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Ganymede/2018-09-23T19:49:15.92260?x=SIFaEt5xIg&y=tyQ/LoWHAw&z=tMDnskCzq////////////w&ow=0.191852&ox=-0.0330063&oy=-0.980519&oz=-0.0262066&track=Sol:Jupiter:Ganymede&select=Sol:Jupiter:Ganymede&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Europa"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-11), 86, 5+14*11)

ObjLocs111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Europa")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Europa/2018-09-24T19:55:55.67235?x=F+BWoqII8////////////w&y=inKliB+d/f///////////w&z=JvrGRGFtNA&ow=0.991928&ox=-0.0260413&oy=0.120079&oz=0.0313183&track=Sol:Jupiter:Europa&select=Sol:Jupiter:Europa&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Io"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-12), 86, 5+14*12)

ObjLocs112Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Io")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Io/2018-09-25T18:45:56.28628?x=4mFFB75rCA&y=aWXNJpePAg&z=QpDinAY7wf///////////w&ow=0.0659453&ox=-0.0302204&oy=-0.997117&oz=-0.0222587&track=Sol:Jupiter:Io&select=Sol:Jupiter:Io&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Callisto"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-13), 86, 5+14*13)

ObjLocs113Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Callisto")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Callisto/2018-09-27T19:38:44.10148?x=++1TsySCFg&y=Rvf0/xPT/f///////////w&z=vKDObpZcUA&ow=0.99035&ox=-0.0100348&oy=-0.136352&oz=0.0226732&track=Sol:Jupiter:Callisto&select=Sol:Jupiter:Callisto&fov=36.4986&ts=10000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------
ObjLocs114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thebe"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-14), 86, 5+14*14)

ObjLocs114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Thebe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Thebe/2018-10-04T01:31:03.01921?x=DEDYUEOX/////////////w&y=IPvhy3bu/////////////w&z=jJIERzD3AQ&ow=0.994335&ox=-0.0194903&oy=0.101962&oz=0.0228572&track=Sol:Jupiter:Thebe&select=Sol:Jupiter:Thebe&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))	
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-15), 86, 5+14*15)
-------------------------------
ObjLocs116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SATURN"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-16), 86, 5+14*16)

ObjLocs116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn/2018-10-07T20:25:41.07808?x=gM3Q9VGg7Pr//////////w&y=onB+Yu/e9f///////////w&z=gOYoeGBTnvn//////////w&ow=0.323352&ox=0.17684&oy=0.927383&oz=-0.0642752&track=Sol:Saturn&select=Sol:Saturn&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hyperion"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-17), 86, 5+14*17)

ObjLocs117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Hyperion")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Hyperion/2018-10-08T14:29:22.95686?x=XGx0Ht9NBA&y=PCS2cdyRAg&z=OL0OE0cHBQ&ow=0.920844&ox=0.167285&oy=-0.343392&oz=-0.0783876&track=Sol:Saturn:Hyperion&select=Sol:Saturn:Hyperion&fov=36.4986&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()	
-------------------------------
ObjLocs118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dione"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-18), 86, 5+14*18)

ObjLocs118Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Dione")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Dione/2018-10-11T11:31:42.31868?x=BrRTPWOP7P///////////w&y=ypXa9p+UAQ&z=ZRpXRt+u/v///////////w&ow=0.680475&ox=0.119973&oy=0.720618&oz=-0.057189&track=Sol:Saturn:Dione&select=Sol:Saturn:Dione&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()		
-------------------------------
ObjLocs119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mimas"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-19), 86, 5+14*19)

	ObjLocs119Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Mimas")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Mimas/2018-10-12T19:30:00.56829?x=bVkSgn+MBg&y=csZAr0X//f///////////w&z=O/2FtSXJ/f///////////w&ow=0.562477&ox=0.000768173&oy=-0.808595&oz=0.172608&track=Sol:Saturn:Mimas&select=Sol:Saturn:Mimas&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()		
-------------------------------
ObjLocs120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Rhea"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-20), 86, 5+14*20)

ObjLocs120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Rhea")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Rhea/2018-10-14T19:10:48.13214?x=D0Al6ZpT/P///////////w&y=n+ZN4kxUDA&z=BzMNvw02Fw&ow=0.963188&ox=0.231476&oy=0.0953875&oz=0.0979172&track=Sol:Saturn:Rhea&select=Sol:Saturn:Rhea&fov=36.4986&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Tethys"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-21), 86, 5+14*21)

ObjLocs121Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Tethys")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Tethys/2018-10-21T22:09:52.52246?x=hupVMywAAw&y=L3WjFSd+CA&z=s30TgAtUEA&ow=0.95973&ox=0.244132&oy=-0.0509369&oz=0.129317&track=Sol:Saturn:Tethys&select=Sol:Saturn:Tethys&fov=36.4986&ts=1250&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Titan"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-22), 86, 5+14*22)

ObjLocs122Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Titan")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Titan/2018-10-24T09:44:28.02130?x=W+tCQJFJAg&y=IhsxmV6RKA&z=IKKa9slpTw&ow=0.965602&ox=0.233845&oy=0.0140482&oz=0.112835&track=Sol:Saturn:Titan&select=Sol:Saturn:Titan&fov=36.4986&ts=10000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Phoebe"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-23), 86, 5+14*23)

ObjLocs123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Phoebe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Phoebe/2018-11-04T23:47:09.18744?x=C67l3vvU/P///////////w&y=uoXg0/JZ&z=DD2BIoIMAg&ow=0.872165&ox=0.105898&oy=0.467362&oz=-0.0984177&track=Sol:Saturn:Phoebe&select=Sol:Saturn:Phoebe&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()	
-------------------------------
ObjLocs124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Enceladus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-24), 86, 5+14*24)

ObjLocs124Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Enceladus")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Enceladus/2018-11-05T12:31:48.39017?x=sGT9KFSeBw&y=tKBUPs4o/////////////w&z=yUEHMUOA+////////////w&ow=0.484661&ox=0.0973187&oy=-0.862343&oz=0.109536&track=Sol:Saturn:Enceladus&select=Sol:Saturn:Enceladus&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Epimetheus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-25), 86, 5+14*25)
	
ObjLocs125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Epimetheus")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Epimetheus/2018-11-07T16:18:36.15293?x=tVsdOsEa/////////////w&y=wtczGecHAQ&z=W/JczBvJAQ&ow=0.946547&ox=0.249677&oy=0.201217&oz=-0.0349446&track=Sol:Saturn:Epimetheus&select=Sol:Saturn:Epimetheus&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()	
-------------------------------
ObjLocs126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Janus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-26), 86, 5+14*26)
	
ObjLocs126Box.Action = (function()	
    return
        function()
            local obj = celestia:find("Sol/Saturn/Janus")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Janus/2018-11-08T10:45:32.00207?x=vmBNaJve/v///////////w&y=dh9ViHeI/v///////////w&z=zXlcvQYD/f///////////w&ow=0.153176&ox=0.0605681&oy=0.959858&oz=-0.227026&track=Sol:Saturn:Janus&select=Sol:Saturn:Janus&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()	
-------------------------------
ObjLocs127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Iapetus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-27), 86, 5+14*27)

ObjLocs127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Iapetus")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Iapetus/2018-11-18T02:41:48.27440?x=NDDWtxjoFQ&y=GMlV/fmZ/v///////////w&z=kohh7SOhDQ&ow=0.850141&ox=0.0822721&oy=-0.479047&oz=0.202498&track=Sol:Saturn:Iapetus&select=Sol:Saturn:Iapetus&fov=36.4986&ts=100000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)	
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-28), 86, 5+14*28)
-------------------------------
ObjLocs129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("URANUS"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-29), 86, 5+14*29)

ObjLocs129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus/2019-01-22T09:13:33.98356?x=4ApztHYN8f3//////////w&y=s4lYt/9/CQ&z=4OSfJfZGxwI&ow=0.949552&ox=0.00258635&oy=0.313462&oz=0.00928278&track=Sol:Uranus&select=Sol:Uranus&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ariel"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-30), 86, 5+14*30)

ObjLocs130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Ariel")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Ariel/2019-01-22T18:11:07.78539?x=t1Q61HNo7P///////////w&y=4lplIncu&z=YMxPawubBA&ow=0.783831&ox=0.00189226&oy=0.620952&oz=0.00487288&track=Sol:Uranus:Ariel&select=Sol:Uranus:Ariel&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Miranda"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-31), 86, 5+14*31)

ObjLocs131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Miranda")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Miranda/2019-01-23T08:22:30.19780?x=1dKPeblKAg&y=Tv2OQhAm+P///////////w&z=/UJQPv57AQ&ow=0.714836&ox=-0.507415&oy=-0.391468&oz=0.279808&track=Sol:Uranus:Miranda&select=Sol:Uranus:Miranda&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Oberon"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-32), 86, 5+14*32)

ObjLocs132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Oberon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Oberon/2019-01-25T14:17:40.39024?x=iZFhZWC8Cg&y=Uqwa67WA6P///////////w&z=+3Dt08RMBQ&ow=0.737304&ox=-0.466173&oy=-0.426847&oz=0.238469&track=Sol:Uranus:Oberon&select=Sol:Uranus:Oberon&fov=36.4986&ts=10000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Puck"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-33), 86, 5+14*33)

ObjLocs133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Puck")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Puck/2019-02-04T09:55:08.03927?x=qINJO35F/f///////////w&y=qkyXqjWo/////////////w&z=2kxoOdxx/////////////w&ow=0.604742&ox=-0.320083&oy=0.704628&oz=0.187971&track=Sol:Uranus:Puck&select=Sol:Uranus:Puck&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Titania"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-34), 86, 5+14*34)

ObjLocs134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Titania")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Titania/2019-02-05T08:37:30.44590?x=QF2o22O8Dg&y=XUSbY5QCFw&z=PrypZEEH&ow=0.427085&ox=0.055422&oy=-0.704564&oz=-0.564019&track=Sol:Uranus:Titania&select=Sol:Uranus:Titania&fov=36.4986&ts=5000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Umbriel"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-35), 86, 5+14*35)

ObjLocs135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Umbriel")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Uranus:Umbriel/2019-02-08T04:00:27.78644?x=DvhuG3RQ8f///////////w&y=SZ8HjeYIDQ&z=42C7rJQL+////////////w&ow=0.218712&ox=-0.365&oy=0.699361&oz=0.574312&track=Sol:Uranus:Umbriel&select=Sol:Uranus:Umbriel&fov=36.4986&ts=2500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)	
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(LocsFrame, 2, 2+14*(gg-36), 86, 5+14*36)
-------------------------------
ObjLocs137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)	
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(LocsFrame, 2, 2+14*(gg-37), 86, 5+14*37)
-------------------------------
ObjLocs138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("NEPTUNE"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-38), 86, 5+14*38)

ObjLocs138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Neptune")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune/2019-02-10T04:08:18.45470?x=YNIh9gPPUf3//////////w&y=cAlTVOmMiw&z=YGfwkqdU7wE&ow=0.856669&ox=-0.0304356&oy=0.458613&oz=0.234234&track=Sol:Neptune&select=Sol:Neptune&fov=40&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Proteus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-39), 86, 5+14*39)

ObjLocs139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Proteus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Proteus/2019-02-11T09:52:49.44284?x=S/s0m7b3+v///////////w&y=+6Ipu5UzBA&z=dTp45PZA/P///////////w&ow=0.430566&ox=0.134298&oy=0.854423&oz=0.25795&track=Sol:Neptune:Proteus&select=Sol:Neptune:Proteus&fov=40&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------
ObjLocs140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Triton"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-40), 86, 5+14*40)

ObjLocs140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Triton")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Neptune:Triton/2019-02-12T16:32:15.03033?x=q0zYrPVrGQ&y=nO/vzAww3P///////////w&z=llMFDnZjEA&ow=0.799259&ox=-0.376203&oy=-0.428561&oz=0.189717&track=Sol:Neptune:Triton&select=Sol:Neptune:Triton&fov=40&ts=5000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------
ObjLocs141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)	
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-41), 86, 5+14*41)
--====================================
ObjLocs201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pluto"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-1), 2, 5+14*1)

ObjLocs201Box.Action = (function()
    return 
        function()
           local obj = celestia:find("Sol/Pluto-Charon/134340 Pluto")  
           celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Pluto-Charon:Pluto/2018-08-30T09:54:23.01505?x=RVqyckrE8v///////////w&y=i87whlPv/////////////w&z=0CEoCSD42P///////////w&ow=0.162711&ox=0.00362501&oy=0.986666&oz=-0.00139866&track=Sol:Pluto-Charon:Pluto&select=Sol:Pluto-Charon:Pluto&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Charon"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-2), 2, 5+14*2)

ObjLocs202Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Charon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Pluto-Charon:Charon/2018-09-02T11:17:44.79746?x=Bwm5DZxX+P///////////w&y=Di/mu3M1+v///////////w&z=LtAwhXWYBg&ow=0.878504&ox=-0.234161&oy=0.40256&oz=-0.106508&track=Sol:Pluto-Charon:Charon&select=Sol:Pluto-Charon:Charon&fov=60&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hydra *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-3), 2, 5+14*3)

ObjLocs203Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Hydra")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Pluto-Charon:Hydra/2018-09-04T21:58:36.66288?x=rGqhgSAq&y=enrO9tb6/v///////////w&z=WakFkkpy&ow=0.809901&ox=-0.547096&oy=0.0487904&oz=-0.205831&track=Sol:Pluto-Charon:Hydra&select=Sol:Pluto-Charon:Hydra&fov=60&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Nix *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-4), 2, 5+14*4)

ObjLocs204Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Nix")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Pluto-Charon:Nix/2018-09-05T08:56:33.85781?x=H6BUJeHR/////////////w&y=omGjjuDK&z=6CT+KYKz/////////////w&ow=0.0255443&ox=0.217308&oy=-0.790767&oz=-0.571675&track=Sol:Pluto-Charon:Nix&select=Sol:Pluto-Charon:Nix&fov=60&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kerberos *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-5), 2, 5+14*5)

ObjLocs205Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Kerberos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Pluto-Charon:Kerberos/2018-09-22T17:44:11.97601?x=mIfAqnUh&y=Iyuguz/1/////////////w&z=UttCz1bh/////////////w&ow=0.186197&ox=-0.899314&oy=-0.1412&oz=-0.369632&track=Sol:Pluto-Charon:Kerberos&select=Sol:Pluto-Charon:Kerberos&fov=60&ts=5000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Styx *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-6), 2, 5+14*6)

ObjLocs206Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Styx")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Pluto-Charon:Styx/2018-09-27T06:17:37.01257?x=ARCPhR8x&y=dwFoV1L7/////////////w&z=GXId2ArN/////////////w&ow=0.228225&ox=0.679014&oy=-0.630975&oz=0.297865&track=Sol:Pluto-Charon:Styx&select=Sol:Pluto-Charon:Styx&fov=60&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-7), 2, 5+14*7)
-------------------------------
ObjLocs208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Makemake *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-8), 2, 5+14*8)

ObjLocs208Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Makemake")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Makemake/2018-09-28T08:57:24.07741?x=eXYcznLQFA&y=zhfmB10Q9////////////w&z=vhqYWxsuCg&ow=0.15531&ox=0.450867&oy=-0.302911&oz=0.825132&track=Sol:Makemake&select=Sol:Makemake&fov=60&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(normalfont)
    :textcolor(color1) 
    :textpos("left")    
    :movetext(5, 9)
    :text(_("Satellite1 #*"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-9), 2, 5+14*9)

ObjLocs209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Makemake/2015 136472 1")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   -- celestia:seturl("")
			   -- celestia:setambient (0.5)
			   -- celestia:setorbitflags{Moon = true} -- луны			
               -- obs:center(obj)			
			
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) () 
-------------------------------
ObjLocs210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
     :attach(LocsFrame, 86, 2+14*(gg-10), 2, 5+14*10)
-------------------------------
ObjLocs211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Haumea *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-11), 2, 5+14*11)
	
ObjLocs211Box.Action = (function()	
    return 
        function()
            local obj = celestia:find("Sol/Haumea")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Haumea/2018-09-28T13:46:28.50049?x=OLaulH/v8f///////////w&y=hGZUXja2Ag&z=JGmJg+Js2v///////////w&ow=0.0553762&ox=0.976359&oy=0.118019&oz=-0.172419&track=Sol:Haumea&select=Sol:Haumea&fov=60&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)             
            end            
        end
    end) ()	
-------------------------------
ObjLocs212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Namaka * "))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-12), 2, 5+14*12)

ObjLocs212Box.Action = (function()	
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Namaka")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Haumea:Namaka/2018-08-30T02:28:17.51509?x=nfSqKlo+Ag&y=VBt19Ku2/v///////////w&z=/ZchQWMB/////////////w&ow=0.528659&ox=-0.126969&oy=-0.814463&oz=0.202604&track=Sol:Haumea:Namaka&select=Sol:Haumea:Namaka&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj) 
            end            
        end
    end) ()	
-------------------------------------	
ObjLocs213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)    
    :text(_("Hi'iaka *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-13), 2, 5+14*13)	

ObjLocs213Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Hi'iaka")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Haumea:Hi'iaka/2018-09-28T19:18:37.70754?x=n8+45WzPAw&y=k+mHrt0G/P///////////w&z=DRkqnDqj&ow=0.134875&ox=-0.539559&oy=0.389035&oz=-0.734396&track=Sol:Haumea:Hi'iaka&select=Sol:Haumea:Hi'iaka&fov=60&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()	
-------------------------------
ObjLocs214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-14), 2, 5+14*14)
-------------------------------
ObjLocs215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor({0,1,1,1})   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ceres"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-15), 2, 5+14*15)

ObjLocs215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ceres")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Ceres/2018-10-01T14:18:54.07288?x=vxLu15bS8v///////////w&y=KR0HLpYXCA&z=8TI+ZppYBg&ow=0.830383&ox=0.301179&oy=0.468467&oz=-0.0171527&track=Sol:Ceres&select=Sol:Ceres&fov=60&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-16), 2, 5+14*16)
-------------------------------
ObjLocs217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eris *")) 
    :movable(false)
    :active(true) 
   :attach(LocsFrame, 86, 2+14*(gg-17), 2, 5+14*17)

ObjLocs217Box.Action = (function()
     return 
        function()
            local obj = celestia:find("Sol/Eris")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Eris/2018-10-01T19:46:56.40346?x=TLb19cO32////////////w&y=ZrMI6sxUCA&z=t0uItlBjDw&ow=0.824167&ox=0.194004&oy=0.52092&oz=-0.10842&track=Sol:Eris&select=Sol:Eris&fov=60&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dysnomia *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-18), 2, 5+14*18)

ObjLocs218Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Eris/Dysnomia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Eris:Dysnomia/2018-10-01T23:39:33.38646?x=OyKflko69v///////////w&y=KxJF4Xpu/////////////w&z=rj8XNWHZ+P///////////w&ow=0.440308&ox=0.157561&oy=0.877562&oz=-0.105771&track=Sol:Eris:Dysnomia&select=Sol:Eris:Dysnomia&fov=60&ts=300&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-19), 2, 5+14*19)
-------------------------------
ObjLocs220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color73)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)    
    :text(_("Sedna *"))
    :movable(false)
    :active(true) 
   :attach(LocsFrame, 86, 2+14*(gg-20), 2, 5+14*20)

ObjLocs220Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2003 VB12")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Sedna/2018-10-02T05:03:17.75959?x=zeFLNRZ4DQ&y=eFdWVgoz/////////////w&z=O9XYuaG3Cg&ow=0.882473&ox=0.0612318&oy=-0.430427&oz=0.179513&track=Sol:Sedna&select=Sol:Sedna&fov=35&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end            
        end
    end) ()
-------------------------------
ObjLocs221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
  :attach(LocsFrame, 86, 2+14*(gg-21), 2, 5+14*21) 
-------------------------------
ObjLocs222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asteroids:"))
    :movable(false)
    :active(false) 
    :attach(LocsFrame, 86, 2+14*(gg-22), 2, 5+14*22)
-------------------------------
ObjLocs223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(normalfont)
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eros"))
    :movable(false)
    :active(true) 
   :attach(LocsFrame, 86, 2+14*(gg-23), 2, 5+14*23) 

ObjLocs223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eros")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Eros/2018-08-30T11:45:38.77027?x=OG6Z7UaE/////////////w&y=Yw9e2EJF&z=TK+G2ik4&ow=0.817662&ox=0.19743&oy=0.526202&oz=0.124747&track=Sol:Eros&select=Sol:Eros&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------
ObjLocs224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gaspra"))        
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-24), 2, 5+14*24) 

ObjLocs224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Gaspra")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Gaspra/2018-08-30T14:44:15.62761?x=uk43CUnI/////////////w&y=949szjwT&z=ROCmyeXI/////////////w&ow=0.397419&ox=0.245352&oy=0.883888&oz=0.0245535&track=Sol:Gaspra&select=Sol:Gaspra&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()	
-------------------------------
ObjLocs225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ida"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-25), 2, 5+14*25)

ObjLocs225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ida")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Ida/2018-08-30T16:06:53.84747?x=em/+xNiZ&y=hUu/r2oN&z=hkB1coEo/////////////w&ow=0.297361&ox=-0.142348&oy=-0.941356&oz=-0.0718454&track=Sol:Ida&select=Sol:Ida&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(normalfont)
    :textcolor(color1)  
    :textpos("left")    
    :movetext(5, 9)
    :text(_("Dactyl"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-26), 2, 5+14*26) 

ObjLocs226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ida/Dactyl")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Ida:Dactyl/2018-08-30T17:39:45.77190?x=yYJPXe0E&y=m5ES054C&z=Y1OCEJ/7/////////////w&ow=0.36698&ox=-0.0778855&oy=-0.895866&oz=-0.238082&track=Sol:Ida:Dactyl&select=Sol:Ida:Dactyl&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
--------------------------------
ObjLocs227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Itokawa"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-27), 2, 5+14*27) 

ObjLocs227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Itokawa")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Itokawa/2018-08-30T21:48:14.05785?x=NJkm+wD//////////////w&y=WF0AP/3//////////////w&z=FDUzCicC&ow=0.972112&ox=-0.0229139&oy=0.213816&oz=0.0935717&track=Sol:Itokawa&select=Sol:Itokawa&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
--------------------------------
ObjLocs228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Lutetia"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-28), 2, 5+14*28)

ObjLocs228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lutetia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Lutetia/2018-08-30T23:21:09.16641?x=p8tmwlONAQ&y=EfZg243z/////////////w&z=ZdcqC82X/v///////////w&ow=0.404483&ox=-0.0865843&oy=-0.910074&oz=-0.0257357&track=Sol:Lutetia&select=Sol:Lutetia&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()  
-------------------------------
ObjLocs229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mathilde"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-29), 2, 5+14*29) 

ObjLocs229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mathilde")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Mathilde/2018-08-31T01:44:04.11447?x=MV/0J7bf/v///////////w&y=03xrjGDz/////////////w&z=0lekaHIw&ow=0.762379&ox=-0.0616413&oy=0.642973&oz=0.0395416&track=Sol:Mathilde&select=Sol:Mathilde&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Steins"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-30), 2, 5+14*30) 

ObjLocs230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Steins")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Steins/2018-08-31T03:43:42.49255?x=yzD7sC4Z&y=A8ge0kT+/////////////w&z=DUUZWmcP&ow=0.870929&ox=-0.0581751&oy=-0.485963&oz=-0.0440254&track=Sol:Steins&select=Sol:Steins&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()		
-------------------------------
ObjLocs231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Vesta"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-31), 2, 5+14*31)	

ObjLocs231Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/4 Vesta")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Vesta/2007-09-28T00:48:13.60651?x=rF+0UHnh+P///////////w&y=QsyKlQcNAQ&z=60Atgn4t+f///////////w&ow=0.388376&ox=-0.0335013&oy=0.918082&oz=0.0718889&track=Sol:Vesta&select=Sol:Vesta&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------
ObjLocs232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
 --   :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-32), 2, 5+14*32) 
-------------------------------
ObjLocs233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-33), 2, 5+14*33) 
-------------------------------
ObjLocs234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-34), 2, 5+14*34)
-------------------------------
ObjLocs235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-35), 2, 5+14*35) 
-------------------------------
ObjLocs236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Comets:"))
    :movable(false)
    :active(false) 
   :attach(LocsFrame, 86, 2+14*(gg-36), 2, 5+14*36) 
-------------------------------
ObjLocs237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :fillcolor(cbutextoff)	
    :textfont(smallfont) 
    :textcolor({0,0,1,1}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("67P/Churyumov."))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-37), 2, 5+14*37) 
	
ObjLocs237Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/67P_Churyumov_Gerasimenko")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:67p/2015-12-30T02:58:08.32642?x=PFLf9YYV&y=J0n+a8n8/////////////w&z=cVs1H7D//////////////w&ow=0.699761&ox=-0.0483301&oy=-0.710515&oz=0.0562779&track=Sol:67p&select=Sol:67p&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()	
-------------------------------
ObjLocs238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-38), 2, 5+14*38)
------------------------------- 
ObjLocs239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-39), 2, 5+14*39)
--------------------------------
ObjLocs240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("* - no location"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-40), 2, 5+14*40)
-------------------------------
ObjLocs241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,0,0,0.8}) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 86, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 


